#!/bin/bash
NAME="collabnet-merge"
VERSION=2.0.0

echo "Exporting from Source Control..."
rm -rf $NAME-$VERSION
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

# if prompted for a password, just hit return; the password is blank
svn export http://desktop-eclipse.open.collab.net/svn/desktop-eclipse/tags/merge-client/$VERSION/features/com.collabnet.subversion.merge.feature --username guest
svn export http://desktop-eclipse.open.collab.net/svn/desktop-eclipse/tags/merge-client/$VERSION/plugins/com.collabnet.subversion.merge --username guest

popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
